PrecompileDef (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.PrecompileDef class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks
Class PrecompileDef

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              net.sf.antcontrib.cpptasks.PrecompileDef

    public final class PrecompileDef

extends org.apache.tools.ant.types.DataType

An element that specifies a prototype file and rules for source files that should not use precompiled headers

Author:
  Curt Arnold

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`PrecompileDef()` Constructor

Method Summary
`void` | `appendExceptFileSet(ConditionalFileSet exceptSet)` Method used by PrecompileExceptDef to add exception set to PrecompileDef.
`PrecompileExceptDef` | `createExcept()` Adds filesets that specify files that should not be processed with precompiled headers enabled.
`void` | `execute()`
`java.lang.String[]` | `getExceptFiles()`
`java.io.File` | `getPrototype()` Gets prototype source file
`boolean` | `isActive()`
`void` | `setDescription(java.lang.String desc)` Sets a description of the current data type.
`void` | `setId(java.lang.String id)` Sets an id that can be used to reference this element.
`void` | `setIf(java.lang.String propName)` Set the 'if' condition.
`void` | `setPrototype(java.io.File prototype)` Sets file to precompile.
`void` | `setRefid(org.apache.tools.ant.types.Reference ref)` Specifies that this element should behave as if the content of the element with the matching id attribute was inserted at this location.
`void` | `setUnless(java.lang.String propName)` Set the 'unless' condition.

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrecompileDef

    public PrecompileDef()

  Constructor

Method Detail

### appendExceptFileSet

    public void appendExceptFileSet(ConditionalFileSet exceptSet)

  Method used by PrecompileExceptDef to add exception set to PrecompileDef.

### createExcept

    public PrecompileExceptDef createExcept()

  Adds filesets that specify files that should not be processed with precompiled headers enabled.

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### getExceptFiles

    public java.lang.String[] getExceptFiles()

### getPrototype

    public java.io.File getPrototype()

  Gets prototype source file

### isActive

    public boolean isActive()

### setDescription

    public void setDescription(java.lang.String desc)

  Sets a description of the current data type.

  Overrides:
    `setDescription` in class `org.apache.tools.ant.types.DataType`

### setId

    public void setId(java.lang.String id)

  Sets an id that can be used to reference this element.

  Parameters:
    `id` - id

### setIf

    public void setIf(java.lang.String propName)

  Set the 'if' condition. The processor will be ignored unless the property is defined. The value of property is insignificant, but values that would imply misinterpretation ("false", "no") will throw an exception when isActive() is evaluated.

  Parameters:
    `propName` - name of property

### setPrototype

    public void setPrototype(java.io.File prototype)

  Sets file to precompile. Should be a source file that includes only one unguarded header file. Default value is "stdafx.cpp".

  Parameters:
    `prototype` - file path for prototype source file

### setRefid

    public void setRefid(org.apache.tools.ant.types.Reference ref)

  Specifies that this element should behave as if the content of the element with the matching id attribute was inserted at this location.

  Overrides:
    `setRefid` in class `org.apache.tools.ant.types.DataType`
  Parameters:
    `ref` - Reference to other element

### setUnless

    public void setUnless(java.lang.String propName)

  Set the 'unless' condition. If named property exists at execution time, the processor will be ignored. Value of property is insignificant, but values that would imply misinterpretation ("false", "no") of the behavior will throw an exception when isActive is called.

  Parameters:
    `propName` - name of property

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.